#
# spec file for package python-MiniMock
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-MiniMock
Version:        1.2.8
Release:        12.2
Url:            http://pypi.python.org/pypi/MiniMock
Summary:        The simplest possible mock library
License:        MIT
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/M/MiniMock/MiniMock-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Provides:       python-minimock = %{version}
Obsoletes:      python-minimock < %{version}
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Minimock is a simple library for doing Mock objects with doctest.
When using doctest, mock objects can be very simple.

%prep
%setup -q -n MiniMock-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc docs/license.txt
%{python_sitelib}/minimock.py*
%{python_sitelib}/MiniMock-%{version}-py%{py_ver}.egg-info

%changelog
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Fri May  3 2013 speilicke@suse.com
- Fixed the obsoletes to '<' after last version update
* Mon Apr 29 2013 dmueller@suse.com
- Update to 1.2.8:
  * add python 3.x support
* Sun May 27 2012 highwaystar.ru@gmail.com
- python3 package added
- spec files section improved
* Wed Aug 31 2011 saschpe@suse.de
- Initial version
